Subject: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Stefan Monnier <[email-masked]>
Date: Tue, 31 Jan 2023 16:46:11 -0500

> Speaking of additional slowdowns, though, at least in theory -- both
> syntax-ppss and tree-sitter drop their current parse result when point-min
> changes.

FWIW, `syntax-ppss` keeps 2 caches: one for point-min=1 and one for the
other cases.  So narrowing doesn't quite "drop the current parse", it
just temporarily ignores it, but recovers it when we exit the narrowing.

        Stefan